import { LauncherModule } from "..";
import { Application } from "../objects/Application";

export const stores = LauncherModule.store({
  state: () => ({
    host: "https://www.ccc.com/",
    apps: [] as Application[],
  }),
  actions: {
    setApps(apps: Application[]) {
      this.store.apps = apps;
    },
    setHost(host: string) {
      this.store.host = host;
    },
  },
});
